%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:           perl-Test-Pod-Coverage
Version:        1.10
Release:        1mamba
Summary:        Test::Pod::Coverage - Check for pod coverage in your distribution
Group:          System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:       Aleph0 <aleph0@openmamba.org>
URL:            http://www.cpan.org
Source:         http://www.cpan.org/modules/by-module/Test/Test-Pod-Coverage-%{version}.tar.gz
License:        Artistic License
Requires:       perl >= %perl_major_ver
BuildRequires:  perl-devel >= %perl_major_ver
BuildRequires:  perl-Pod-Coverage
Requires:       perl-Pod-Coverage
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
This perl module checks for pod coverage in your distribution.

%prep
%setup -q -n Test-Pod-Coverage-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Jul 28 2014 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic update by autodist

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.08-3mamba
- perl 5.16 mass rebuild

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.08-2mamba
- automatic rebuild by autodist

* Wed Nov 07 2007 Aleph0 <aleph0@openmamba.org> 1.08-1mamba
- package created by autospec
